Loading...
Searching...
No Matches
MoleQueueManager Class Reference

The MoleQueueManager class provides access to a MoleQueue server. More...

`#include <molequeuemanager.h>`

Inheritance diagram for MoleQueueManager:

## Public Slots

bool | requestQueueList ()

## Signals

void | queueListUpdated ()

## Public Member Functions

| MoleQueueManager (QObject *parent_=nullptr)
bool | connectIfNeeded ()
MoleQueueQueueListModel & | queueListModel ()
Client & | client ()
const Client & | client () const

## Static Public Member Functions

static MoleQueueManager & | instance ()

## Detailed Description

<avogadro/molequeue/molequeuemanager.h>

This singleton class provides access to a single MoleQueue::Client instance that can be used to communicate with the server. The available queues and programs are cached in a MoleQueueQueueListModel (queueListModel()). The connectIfNeeded convenience function can be used to ensure that the client is connected before use.

## Member Function Documentation

## instance()

MoleQueueManager & instance | ( |  | ) |

static

Returns
  The singleton instance.

## connectIfNeeded()

bool connectIfNeeded | ( |  | ) |

Test if the client is connected, and if not, attempt a connection.

Returns
  True if the client is already connected or a new connection has been successfully created. False if the new connection failed.

## client() [1/2]

Client & client | ( |  | ) |

Returns
  A reference to the managed Client instance.

## client() [2/2]

const Client & client | ( |  | ) | const

Returns
  A reference to the managed Client instance.

## queueListModel()

MoleQueueQueueListModel & queueListModel | ( |  | ) |

Returns
  A QAbstractItemModel subclass representing the queue/program tree.

## requestQueueList

bool requestQueueList | ( |  | ) |

slot

Request that the cached queue list is updated.

Returns
  True if the request is send successfully.

## queueListUpdated

void queueListUpdated | ( |  | ) |

signal

Emitted when the internal queue list is updated.

The documentation for this class was generated from the following file:

- molequeuemanager.h